import { DependencyList } from 'react';
import { KeyHandler } from 'hotkeys-js';

type Options = {
    scope?: string;
    element?: HTMLElement | null;
    keyup?: boolean | null;
    keydown?: boolean | null;
    splitKey?: string;
    preventDefault?: boolean;
};
export declare function useHotkeys(keys: string, callback: KeyHandler, options?: Options): void;
export declare function useHotkeys(keys: string, callback: KeyHandler, deps?: DependencyList): void;
export declare function useHotkeys(keys: string, callback: KeyHandler, options?: Options, deps?: DependencyList): void;
export {};
